call spQuery_Lista_Vehiculo('','%','');

DROP PROCEDURE IF EXISTS spQuery_Lista_Vehiculo;
CREATE PROCEDURE spQuery_Lista_Vehiculo(	
	varCodigo varchar(19),
  varNombre varchar(80),
  varPlaca  varchar(15)
)
BEGIN 
 if varCodigo = '' or varCodigo IS NULL then
   	select id_vehiculo, descripcion, placa, monto
    from _sv_vehiculo  
    where _estado = 'A' and estado = 'A'
    and descripcion like concat('%', varNombre, '%');
 else
    select id_vehiculo, descripcion, placa, monto
    from _sv_vehiculo  
    where _estado = 'A' and estado = 'A'
    and id_vehiculo = varCodigo;
 end if;  
END;